Problème rencontrer avec Psi

Voir le sujet précédent Voir le sujet suivant Aller en bas

Problème rencontrer avec Psi

Message par KorwoRig le Jeu 31 Mar - 21:53

Salut, je ne savais pas trop où poster ça, mais je me suis dis qu'ici, c'était pas mal. Si c'est pas le cas bah, on supprimera ^^

J'ai un petit problème avec minecraft et le mod Psi. Bon j'ai lu le rapport d'erreur, psi et le seul mod posant problème, avec une class soit disant introuvable, j'ai fouiller rapidement et la class se trouve pourtant bien à l'endroit indiquer.
Donc si quelqu'un à une idée, ou au moins aurait la gentillesse de m'envoyez la class contenu dans son psi.jar. La classe étant  psi.jar/vazkii/psi/common/Psi.class   Voilà, merci d'avance.

Oh, tant que j'y pense, ne vous prenez pas trop la tête, je vais essayer avec une autre config ce week-end.



Dans le doute, je poste le rapport d'erreur :

Spoiler:

Code:
---- Minecraft Crash Report ----

*** ATTENTION: detected classes with unsupported format ***
*** DO NOT SUBMIT THIS CRASH REPORT TO FORGE ***

Contact authors of the following mods:
  Psi


WARNING: coremods are present:
  TransformerLoader (OpenComputers-MC1.8.9-1.5.22.6.jar)
Contact their authors BEFORE contacting forge

// This is a token for 1 free hug. Redeem at your nearest Mojangsta: [~~HUG~~]

Time: 31/03/16 21:52
Description: There was a severe problem during mod loading that has caused the game to fail

net.minecraftforge.fml.common.LoaderException: java.lang.ClassNotFoundException: vazkii.psi.common.Psi
 at net.minecraftforge.fml.common.LoadController.transition(LoadController.java:162)
 at net.minecraftforge.fml.common.Loader.loadMods(Loader.java:543)
 at net.minecraftforge.fml.client.FMLClientHandler.beginMinecraftLoading(FMLClientHandler.java:208)
 at net.minecraft.client.Minecraft.func_71384_a(Minecraft.java:417)
 at net.minecraft.client.Minecraft.func_99999_d(Minecraft.java:329)
 at net.minecraft.client.main.Main.main(SourceFile:124)
 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
 at java.lang.reflect.Method.invoke(Method.java:606)
 at net.minecraft.launchwrapper.Launch.launch(Launch.java:135)
 at net.minecraft.launchwrapper.Launch.main(Launch.java:28)
Caused by: java.lang.ClassNotFoundException: vazkii.psi.common.Psi
 at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:191)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:425)
 at java.lang.ClassLoader.loadClass(ClassLoader.java:358)
 at net.minecraftforge.fml.common.ModClassLoader.loadClass(ModClassLoader.java:65)
 at java.lang.Class.forName0(Native Method)
 at java.lang.Class.forName(Class.java:278)
 at net.minecraftforge.fml.common.FMLModContainer.constructMod(FMLModContainer.java:468)
 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
 at java.lang.reflect.Method.invoke(Method.java:606)
 at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74)
 at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47)
 at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322)
 at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304)
 at com.google.common.eventbus.EventBus.post(EventBus.java:275)
 at net.minecraftforge.fml.common.LoadController.sendEventToModContainer(LoadController.java:211)
 at net.minecraftforge.fml.common.LoadController.propogateStateMessage(LoadController.java:189)
 at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
 at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
 at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
 at java.lang.reflect.Method.invoke(Method.java:606)
 at com.google.common.eventbus.EventSubscriber.handleEvent(EventSubscriber.java:74)
 at com.google.common.eventbus.SynchronizedEventSubscriber.handleEvent(SynchronizedEventSubscriber.java:47)
 at com.google.common.eventbus.EventBus.dispatch(EventBus.java:322)
 at com.google.common.eventbus.EventBus.dispatchQueuedEvents(EventBus.java:304)
 at com.google.common.eventbus.EventBus.post(EventBus.java:275)
 at net.minecraftforge.fml.common.LoadController.distributeStateMessage(LoadController.java:118)
 at net.minecraftforge.fml.common.Loader.loadMods(Loader.java:512)
 ... 10 more
Caused by: java.lang.UnsupportedClassVersionError: vazkii/psi/common/Psi : Unsupported major.minor version 52.0
 at java.lang.ClassLoader.defineClass1(Native Method)
 at java.lang.ClassLoader.defineClass(ClassLoader.java:800)
 at java.security.SecureClassLoader.defineClass(SecureClassLoader.java:142)
 at net.minecraft.launchwrapper.LaunchClassLoader.findClass(LaunchClassLoader.java:182)
 ... 38 more


A detailed walkthrough of the error, its code path and all known details is as follows:
---------------------------------------------------------------------------------------

-- System Details --
Details:
 Minecraft Version: 1.8.9
 Operating System: Linux (amd64) version 3.16.0-60-generic
 Java Version: 1.7.0_95, Oracle Corporation
 Java VM Version: OpenJDK 64-Bit Server VM (mixed mode), Oracle Corporation
 Memory: 109016808 bytes (103 MB) / 309874688 bytes (295 MB) up to 1060372480 bytes (1011 MB)
 JVM Flags: 5 total; -Xmx1G -XX:+UseConcMarkSweepGC -XX:+CMSIncrementalMode -XX:-UseAdaptiveSizePolicy -Xmn128M
 IntCache: cache: 0, tcache: 0, allocated: 0, tallocated: 0
 FML: MCP 9.19 Powered by Forge 11.15.1.1808 18 mods loaded, 18 mods active
 States: 'U' = Unloaded 'L' = Loaded 'C' = Constructed 'H' = Pre-initialized 'I' = Initialized 'J' = Post-initialized 'A' = Available 'D' = Disabled 'E' = Errored
 UC mcp{9.19} [Minecraft Coder Pack] (minecraft.jar)
 UC FML{8.0.99.99} [Forge Mod Loader] (forge-1.8.9-11.15.1.1808.jar)
 UC Forge{11.15.1.1808} [Minecraft Forge] (forge-1.8.9-11.15.1.1808.jar)
 UC OpenComputers|Core{1.5.22.6} [OpenComputers (Core)] (minecraft.jar)
 UC chiselsandbits{mc1.8.9-v1.8.11} [Chisels & Bits] (chiselsandbits-mc1.8.9-v1.8.11.jar)
 UC chunkloaderz{1.0.3} [ChunkLoaderZ] (ChunkLoaderZ-1.8.9-1.0.3.jar)
 UC ComputerCraft{1.78} [ComputerCraft] (ComputerCraft1.78.jar)
 UC FTBL{2.0.2} [FTBLib] (FTBLib-1.8.9-2.0.2.jar)
 UC FTBU{2.0.2} [FTBUtilities] (FTBUtilities-1.8.9-2.0.2.jar)
 UC IronChest{6.0.125.770} [Iron Chest] (ironchest-1.8.9-6.0.125.770.jar)
 UC JEI{2.28.11.179} [Just Enough Items] (jei_1.8.9-2.28.11.179.jar)
 UC JEIAddons{0.12.0.57} [Just Enough Items Addons] (JEIAddons_1.8.9-0.12.0.57.jar)
 UC journeymap{1.8.9-5.1.5} [JourneyMap] (journeymap-1.8.9-5.1.5-unlimited.jar)
 UC logforjustice{1.0} [Log For Justice] (logforjustice-1.0.jar)
 UC Morpheus{1.8.9-2.0.58} [Morpheus] (Morpheus-1.8.9-2.0.58.jar)
 UC OpenComputers{1.5.22.6} [OpenComputers] (OpenComputers-MC1.8.9-1.5.22.6.jar)
 UE Psi{beta-23} [Psi] (Psi-beta-23(1).jar)
 UC RandomUtilities{2.1.3} [Random Utilities] (Random Utilities-1.8.9-2.1.3.jar)
 Loaded coremods (and transformers):
TransformerLoader (OpenComputers-MC1.8.9-1.5.22.6.jar)
  li.cil.oc.common.asm.ClassTransformer
 GL info: ' Vendor: 'ATI Technologies Inc.' Version: '4.4.13374 Compatibility Profile Context 15.20.1013' Renderer: 'AMD Radeon (TM) HD 8500M/8700M'
avatar
KorwoRig

Messages : 15
Date d'inscription : 29/03/2016

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par cedmeu le Jeu 31 Mar - 21:59

Tu as bien pris le modpack sur www.computercraft.fr ?

Sinon récupère la dernire version du mod directement sur leur site au pire...

cedmeu
Admin

Messages : 481
Date d'inscription : 28/03/2016

http://forum.computercraft.fr

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par KorwoRig le Jeu 31 Mar - 22:01

Fait et fait, mais ça ne marche pas non plus :/
avatar
KorwoRig

Messages : 15
Date d'inscription : 29/03/2016

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par Noxus76330 le Jeu 31 Mar - 22:07

Moi j'ai bien pris le modpack à télécharger sur le site et aucun probleme avec Psi, donc c'est bizarre que sa ne le fasse que à toi pour l'instant :/
avatar
Noxus76330

Messages : 14
Date d'inscription : 29/03/2016
Age : 22
Localisation : Notre Dame de Gravenchon

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par Déd@le le Jeu 31 Mar - 22:10

Noxus76330 a écrit:Moi j'ai bien pris le modpack à télécharger sur le site et aucun problème avec Psi, donc c'est bizarre que sa ne le fasse que à toi pour l'instant :/
pareil chez moi. Je te propose de télécharger multimc qui pourrait permettre d'éviter les conflits avec les fichiers (souvent nombreux) du répertoire.Minecraft.
Pour ma part ça fonctionne bien en tout cas
J'espère que tu pourras résoudre ton problème!
avatar
Déd@le

Messages : 69
Date d'inscription : 30/03/2016
Localisation : Basse-Normandie

http://qos.esy.es

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par Pyeroh le Jeu 31 Mar - 22:11

java.lang.UnsupportedClassVersionError: vazkii/psi/common/Psi : Unsupported major.minor version 52.0
Cette ligne indique que tu as besoin de Java 8 d'installé sur ton ordinateur, donc go sur le site d'Oracle pour télécharger la dernière version Wink
Au passage, profites en pour vraiment supprimer toutes les anciennes versions de Java, il est du genre un peu capricieux...

@cedmeu, je pense que c'est une info importante à préciser pour les nouveaux joueurs ^^
avatar
Pyeroh

Messages : 33
Date d'inscription : 29/03/2016
Age : 22
Localisation : Nouvelle-Calédonie

https://github.com/Pyeroh

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par KorwoRig le Jeu 31 Mar - 22:15

Damned, j'avais pas vue, Merci grand chef !
avatar
KorwoRig

Messages : 15
Date d'inscription : 29/03/2016

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par cedmeu le Jeu 31 Mar - 22:19

Pyeroh a écrit:@cedmeu, je pense que c'est une info importante à préciser pour les nouveaux joueurs ^^

Je le rajouter dans le tuto Smile

cedmeu
Admin

Messages : 481
Date d'inscription : 28/03/2016

http://forum.computercraft.fr

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par Déd@le le Jeu 31 Mar - 22:23

En tour cas bien vu, j'ai moi-même installe java 8 assez récemment et ça a dû être la vais de plusieurs problèmes
avatar
Déd@le

Messages : 69
Date d'inscription : 30/03/2016
Localisation : Basse-Normandie

http://qos.esy.es

Revenir en haut Aller en bas

Re: Problème rencontrer avec Psi

Message par Christophedlr34 le Ven 1 Avr - 9:12

Je viens de regarder le log que tu nous fournis. Il parle pas d'une classe inexistante, mais d'une version incompatible. Il nous dis :

Caused by: java.lang.UnsupportedClassVersionError: vazkii/psi/common/Psi : Unsupported major.minor version 52.0

Il dit que les erreurs sont causés par une version non supportée par le serveur, il s'agît dans ton cas de la version 52.0.

Christophedlr34

Messages : 69
Date d'inscription : 30/03/2016

Revenir en haut Aller en bas

Voir le sujet précédent Voir le sujet suivant Revenir en haut


 
Permission de ce forum:
Vous ne pouvez pas répondre aux sujets dans ce forum